import { FeedNotificationType } from "@newSdk/model/moments/FeedNotification";
declare function fetchNotifications(page?: number): Promise<FeedNotificationType[] | undefined>;
declare function fetchNoticesPerPage(page?: number): Promise<FeedNotificationType[] | undefined>;
declare function fetchFromRemote(): Promise<void>;
declare function receiveFromWS(seqNew?: number): Promise<void>;
declare function clearNotification(): Promise<void>;
declare function getUnReadCount(): Promise<number>;
declare function getCounts(): Promise<number>;
declare function readNotification(id: string): Promise<number | undefined>;
declare function addNewNotification(fn: (data: any) => void): void;
declare function removeNewNotification(fn: (data: any) => void): void;
export { fetchNotifications, clearNotification, getUnReadCount, getCounts, readNotification, addNewNotification, removeNewNotification, fetchNoticesPerPage, fetchFromRemote, receiveFromWS, };
